Bug 829203 - Null dereference crash in afr lookup
Null dereference crash in afr lookup
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 04:23 EDT by Pranith Kumar K
Modified: 2013-07-24 13:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:47:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-06-06 04:23:56 EDT
Description of problem:
#0  0x00007f92a62562c8 in uuid_unpack (in=0x0, uu=0x7f9294200d30) at ../../contrib/uuid/unpack.c:43
43		tmp = *ptr++;
Missing separate debuginfos, use: debuginfo-install glibc-2.15-37.fc17.x86_64 libgcc-4.7.0-5.fc17.x86_64 openssl-1.0.0j-1.fc17.x86_64 zlib-1.2.5-6.fc17.x86_64
(gdb) bt
#0  0x00007f92a62562c8 in uuid_unpack (in=0x0, uu=0x7f9294200d30) at ../../contrib/uuid/unpack.c:43
#1  0x00007f92a625618f in uuid_compare (uu1=0x0, uu2=0x7f9294200d60 "") at ../../contrib/uuid/compare.c:46
#2  0x00007f92a622d02c in __is_root_gfid (gfid=0x0) at inode.c:740
#3  0x00007f92a21e9f3a in afr_lookup (frame=0x7f92a503c04c, this=0x250ea30, loc=0x7f92942012b0, xattr_req=0x0) at afr-common.c:2299
#4  0x00007f92a62580a3 in syncop_lookup (subvol=0x250ea30, loc=0x7f92942012b0, xdata_req=0x0, iatt=0x7f9294201230, 
    xdata_rsp=0x7f9294201148, parent=0x7f9294201150) at syncop.c:445
#5  0x00007f92a21dee89 in _self_heal_entry (this=0x250ea30, crawl_data=0x7f9294000960, entry=0x25860d0, child=0x7f92942012b0, 
    parent=0x7f9294201450, iattr=0x7f9294201230) at afr-self-heald.c:365
#6  0x00007f92a21e06fd in _process_entries (this=0x250ea30, parentloc=0x7f9294201450, entries=0x7f9294201350, offset=0x7f9294201400, 
    crawl_data=0x7f9294000960) at afr-self-heald.c:889
#7  0x00007f92a21e0ae0 in _crawl_directory (fd=0x251a8cc, loc=0x7f9294201450, crawl_data=0x7f9294000960) at afr-self-heald.c:961
#8  0x00007f92a21e0f7a in afr_dir_crawl (data=0x7f9294000960) at afr-self-heald.c:1071
#9  0x00007f92a21e122c in afr_dir_exclusive_crawl (data=0x7f9294000960) at afr-self-heald.c:1124
#10 0x00007f92a6257095 in synctask_wrap (old_task=0x7f92940010f0) at syncop.c:120
#11 0x00000038e5e45f30 in ?? () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()
(gdb) fr 3
#3  0x00007f92a21e9f3a in afr_lookup (frame=0x7f92a503c04c, this=0x250ea30, loc=0x7f92942012b0, xattr_req=0x0) at afr-common.c:2299
2299	                if (__is_root_gfid(gfid_req)) {
(gdb) p gfid_req
$1 = (void *) 0x0


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Darcy 2012-10-31 09:34:12 EDT
ASSIGNED until Gerrit patch info appears here.
Comment 2 Jeff Darcy 2012-10-31 17:01:32 EDT
http://review.gluster.org/3529

Note You need to log in before you can comment on or make changes to this bug.